#include "UbidotsEsp32Mqtt.h"


/****************************************
 * Define Constants
 ****************************************/
#define LED_BUILTIN 2
#define SENSOR 27


long currentMillis = 0;
long previousMillis = 0;
int interval = 1000;
boolean ledState = LOW;
float calibrationFactor = 4.5;
volatile byte pulseCount;
byte pulse1Sec = 0;
float flowRate;
unsigned int flowMilliLitres;
unsigned long totalMilliLitres;


void IRAM_ATTR pulseCounter()
{
  pulseCount++;
}
const char *WIFI_SSID = "";      // Put your Wi-Fi SSID here
const char *WIFI_PASS = "";      // Put your Wi-Fi password here
const char *UBIDOTS_TOKEN = "";  // Put your Ubidots TOKEN here


const int PUBLISH_FREQUENCY = 100; // Update rate in milliseconds


const char *DEVICE_LABEL = "Flow_meter";   // Put here your Device label to which data  will be published
const char *FLOW_VARIABLE_LABEL = "Flow_rate"; // Put here your Variable label to which data  will be published
const char *WATER_VARIABLE_LABEL = "Water_flowed"; 
                            
unsigned long timer;
uint8_t analogPin = 34; // Pin used to read data from GPIO34 ADC_CH6.


Ubidots ubidots(UBIDOTS_TOKEN);


/****************************************
 * Auxiliar Functions
 ****************************************/
  


/****************************************
 * Main Functions
 ****************************************/
  


void loop()
{
 
}
